Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.bidiTools.bdlayout
Class BidiFlag

    java.lang.Object
      com.ibm.bidiTools.bdlayout.BidiFlag

    public class BidiFlag

extends java.lang.Object

This class represents BidiFlag objects and provides initial values for all flag options.

Bidi text can be stored in different formats, which are characterized by 5 Bidi attributes, whose values may be stored in 5 Bidi flags. These 5 flags constitute a BidiFlagSet.

A BidiFlagSet object contains a value for each of the 5 Bidi flags which represent the Bidi attributes. The 5 attributes are:

- type of text (Implicit or Visual)
- orientation (LTR, RTL, Contextual LTR, Contextual RTL)
- symmetric swapping (Yes or No)
- numeral shapes (Nominal, National or Contextual)
- text shapes (Nominal, Shaped, Initial, Middle, Final or Isolated)

The BidiFlags are pre-defined in this class. Each one represents one possible value of one Bidi attribute. All possible values are defined, so there is no need (or possibility) to add new ones.

Multi-threading considerations: There are no multi-threading concerns for this class, since it only defines static final instances.

Field Summary
`static BidiFlag` | `NUMERALS_ANY` Value identifying that numeral shapes may be Nominal or National
`static BidiFlag` | `NUMERALS_CONTEXTUAL` Value identifying that numeral shapes are Contextual (Nominal or National depending on context)
`static BidiFlag` | `NUMERALS_NATIONAL` Value identifying that numeral shapes are National
`static BidiFlag` | `NUMERALS_NOMINAL` Value identifying that numeral shapes are Nominal
`static BidiFlag` | `ORIENTATION_CONTEXT_LTR` Value identifying Contextual orientation with default to LTR
`static BidiFlag` | `ORIENTATION_CONTEXT_RTL` Value identifying Contextual orientation with default to RTL
`static BidiFlag` | `ORIENTATION_LTR` Value identifying LTR orientation
`static BidiFlag` | `ORIENTATION_RTL` Value identifying RTL orientation
`static BidiFlag` | `SWAP_NO` Value identifying that symmetric swapping has not been applied
`static BidiFlag` | `SWAP_YES` Value identifying that symmetric swapping has been applied
`static BidiFlag` | `TEXT_FINAL` Value identifying that the text must be displayed in Final characters
`static BidiFlag` | `TEXT_INITIAL` Value identifying that the text must be displayed in Initial characters
`static BidiFlag` | `TEXT_ISOLATED` Value identifying that the text must be displayed in Isolated characters
`static BidiFlag` | `TEXT_MIDDLE` Value identifying that the text must be displayed in Middle characters
`static BidiFlag` | `TEXT_NOMINAL` Value identifying that the text is stored in Nominal characters
`static BidiFlag` | `TEXT_SHAPED` Value identifying that the text is stored in Shaped characters
`static BidiFlag` | `TYPE_IMPLICIT` Value identifying Implicit type of text
`static BidiFlag` | `TYPE_VISUAL` Value identifying Visual type of text

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_IMPLICIT

    public static final BidiFlag TYPE_IMPLICIT

  Value identifying Implicit type of text

### TYPE_VISUAL

    public static final BidiFlag TYPE_VISUAL

  Value identifying Visual type of text

### ORIENTATION_LTR

    public static final BidiFlag ORIENTATION_LTR

  Value identifying LTR orientation

### ORIENTATION_RTL

    public static final BidiFlag ORIENTATION_RTL

  Value identifying RTL orientation

### ORIENTATION_CONTEXT_LTR

    public static final BidiFlag ORIENTATION_CONTEXT_LTR

  Value identifying Contextual orientation with default to LTR

### ORIENTATION_CONTEXT_RTL

    public static final BidiFlag ORIENTATION_CONTEXT_RTL

  Value identifying Contextual orientation with default to RTL

### SWAP_YES

    public static final BidiFlag SWAP_YES

  Value identifying that symmetric swapping has been applied

### SWAP_NO

    public static final BidiFlag SWAP_NO

  Value identifying that symmetric swapping has not been applied

### NUMERALS_NOMINAL

    public static final BidiFlag NUMERALS_NOMINAL

  Value identifying that numeral shapes are Nominal

### NUMERALS_NATIONAL

    public static final BidiFlag NUMERALS_NATIONAL

  Value identifying that numeral shapes are National

### NUMERALS_CONTEXTUAL

    public static final BidiFlag NUMERALS_CONTEXTUAL

  Value identifying that numeral shapes are Contextual (Nominal or National depending on context)

### NUMERALS_ANY

    public static final BidiFlag NUMERALS_ANY

  Value identifying that numeral shapes may be Nominal or National

### TEXT_NOMINAL

    public static final BidiFlag TEXT_NOMINAL

  Value identifying that the text is stored in Nominal characters

### TEXT_SHAPED

    public static final BidiFlag TEXT_SHAPED

  Value identifying that the text is stored in Shaped characters

### TEXT_INITIAL

    public static final BidiFlag TEXT_INITIAL

  Value identifying that the text must be displayed in Initial characters

### TEXT_MIDDLE

    public static final BidiFlag TEXT_MIDDLE

  Value identifying that the text must be displayed in Middle characters

### TEXT_FINAL

    public static final BidiFlag TEXT_FINAL

  Value identifying that the text must be displayed in Final characters

### TEXT_ISOLATED

    public static final BidiFlag TEXT_ISOLATED

  Value identifying that the text must be displayed in Isolated characters

Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD